Create a mWallet
POST
https://api.mpay.com.au/mWallet/v1/create
acceptstringGenerated from available response content types
bodyobjectRequest payload used to create a new mWallet.
200Successful validation. The mWallet was created.
400<p>Bad request. The request failed validation - for example a mandatory field is missing, a value does not match the documented pattern, or the mWallet could not be found.</p>
401<p>Unauthorized. The basic authentication credentials are missing, malformed or the supplied API key is not valid for this operation.</p>
500Internal server error. An unexpected condition prevented the Platform from completing the request. Retry the request and contact Monoova support if the error persists.
curl --request POST \
--url https://api.mpay.com.au/mWallet/v1/create \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data-raw '{
"identifier": "[email protected]",
"pin": "1234",
"dateOfBirth": "1985-07-19T00:00:00",
"name": "Jane Citizen",
"nickName": "Jane",
"phone": "0400000000",
"email": "[email protected]",
"allowDuplicates": "false",
"options": [
{
"key": "MobileForSms",
"value": "0400000000"
}
],
"ABN": "51824753556"
}'